Package org.eclipse.m2m.atl.profiler.model.provider

## Class ModelItemProviderAdapterFactory

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterFactoryImpl
  - - org.eclipse.m2m.atl.profiler.model.util.ModelAdapterFactory
    - - org.eclipse.m2m.atl.profiler.model.provider.ModelItemProviderAdapterFactory

All Implemented Interfaces:
  `org.eclipse.emf.common.notify.AdapterFactory`, `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`, `org.eclipse.emf.edit.provider.IChangeNotifier`, `org.eclipse.emf.edit.provider.IDisposable`

    public class ModelItemProviderAdapterFactory
    extends ModelAdapterFactory
    implements org.eclipse.emf.edit.provider.ComposeableAdapterFactory, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable

This is the factory that is used to provide the interfaces needed to support Viewers. The adapters generated by this factory convert EMF adapter notifications into calls to `fireNotifyChanged`. The adapters also support Eclipse property sheets. Note that most of the adapters are shared among multiple instances.

### Field Summary

Fields
`protected ATLInstructionItemProvider` `atlInstructionItemProvider` This keeps track of the one adapter used for all `ATLInstruction` instances.
`protected ATLOperationItemProvider` `atlOperationItemProvider` This keeps track of the one adapter used for all `ATLOperation` instances.
`protected org.eclipse.emf.edit.provider.IChangeNotifier` `changeNotifier` This is used to implement `IChangeNotifier`.
`protected ContextItemProvider` `contextItemProvider` This keeps track of the one adapter used for all `Context` instances.
`protected ExecutionErrorItemProvider` `executionErrorItemProvider` This keeps track of the one adapter used for all `ExecutionError` instances.
`protected org.eclipse.emf.edit.provider.ComposedAdapterFactory` `parentAdapterFactory` This keeps track of the root adapter factory that delegates to this adapter factory.
`protected ProfilingInstructionItemProvider` `profilingInstructionItemProvider` This keeps track of the one adapter used for all `ProfilingInstruction` instances.
`protected ProfilingModelItemProvider` `profilingModelItemProvider` This keeps track of the one adapter used for all `ProfilingModel` instances.
`protected ProfilingOperationItemProvider` `profilingOperationItemProvider` This keeps track of the one adapter used for all `ProfilingOperation` instances.
`protected java.util.Collection<java.lang.Object>` `supportedTypes` This keeps track of all the supported types checked by `isFactoryForType`.

### Fields inherited from class org.eclipse.m2m.atl.profiler.model.util.ModelAdapterFactory

`modelPackage, modelSwitch`

### Constructor Summary

Constructors
`ModelItemProviderAdapterFactory()` This constructs an instance.

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Object` `adapt​(java.lang.Object object, java.lang.Object type)`
`org.eclipse.emf.common.notify.Adapter` `adapt​(org.eclipse.emf.common.notify.Notifier notifier, java.lang.Object type)` This implementation substitutes the factory itself as the key for the adapter.
`void` `addListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This adds a listener.
`org.eclipse.emf.common.notify.Adapter` `createATLInstructionAdapter()` This creates an adapter for a `ATLInstruction`.
`org.eclipse.emf.common.notify.Adapter` `createATLOperationAdapter()` This creates an adapter for a `ATLOperation`.
`org.eclipse.emf.common.notify.Adapter` `createContextAdapter()` This creates an adapter for a `Context`.
`org.eclipse.emf.common.notify.Adapter` `createExecutionErrorAdapter()` This creates an adapter for a `ExecutionError`.
`org.eclipse.emf.common.notify.Adapter` `createProfilingInstructionAdapter()` This creates an adapter for a `ProfilingInstruction`.
`org.eclipse.emf.common.notify.Adapter` `createProfilingModelAdapter()` This creates an adapter for a `ProfilingModel`.
`org.eclipse.emf.common.notify.Adapter` `createProfilingOperationAdapter()` This creates an adapter for a `ProfilingOperation`.
`void` `dispose()` This disposes all of the item providers created by this factory.
`void` `fireNotifyChanged​(org.eclipse.emf.common.notify.Notification notification)` This delegates to `changeNotifier` and to `parentAdapterFactory`.
`org.eclipse.emf.edit.provider.ComposeableAdapterFactory` `getRootAdapterFactory()` This returns the root adapter factory that contains this factory.
`boolean` `isFactoryForType​(java.lang.Object type)`
`void` `removeListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)` This removes a listener.
`void` `setParentAdapterFactory​(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)` This sets the composed adapter factory that contains this factory.

### Methods inherited from class org.eclipse.m2m.atl.profiler.model.util.ModelAdapterFactory

`createAdapter, createEObjectAdapter`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterFactoryImpl

`adaptAllNew, adaptNew, associate, createAdapter, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.common.notify.AdapterFactory

`adaptAllNew, adaptNew`

### Field Detail

#### parentAdapterFactory

    protected org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory

This keeps track of the root adapter factory that delegates to this adapter factory.

#### changeNotifier

    protected org.eclipse.emf.edit.provider.IChangeNotifier changeNotifier

This is used to implement `IChangeNotifier`.

#### supportedTypes

    protected java.util.Collection<java.lang.Object> supportedTypes

This keeps track of all the supported types checked by `isFactoryForType`.

#### profilingInstructionItemProvider

    protected ProfilingInstructionItemProvider profilingInstructionItemProvider

This keeps track of the one adapter used for all `ProfilingInstruction` instances.

#### profilingOperationItemProvider

    protected ProfilingOperationItemProvider profilingOperationItemProvider

This keeps track of the one adapter used for all `ProfilingOperation` instances.

#### profilingModelItemProvider

    protected ProfilingModelItemProvider profilingModelItemProvider

This keeps track of the one adapter used for all `ProfilingModel` instances.

#### atlOperationItemProvider

    protected ATLOperationItemProvider atlOperationItemProvider

This keeps track of the one adapter used for all `ATLOperation` instances.

#### atlInstructionItemProvider

    protected ATLInstructionItemProvider atlInstructionItemProvider

This keeps track of the one adapter used for all `ATLInstruction` instances.

#### contextItemProvider

    protected ContextItemProvider contextItemProvider

This keeps track of the one adapter used for all `Context` instances.

#### executionErrorItemProvider

    protected ExecutionErrorItemProvider executionErrorItemProvider

This keeps track of the one adapter used for all `ExecutionError` instances.

### Constructor Detail

#### ModelItemProviderAdapterFactory

    public ModelItemProviderAdapterFactory()

This constructs an instance.

### Method Detail

#### createProfilingInstructionAdapter

    public org.eclipse.emf.common.notify.Adapter createProfilingInstructionAdapter()

This creates an adapter for a `ProfilingInstruction`.

Overrides:
  `createProfilingInstructionAdapter` in class `ModelAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ProfilingInstruction`

#### createProfilingOperationAdapter

    public org.eclipse.emf.common.notify.Adapter createProfilingOperationAdapter()

This creates an adapter for a `ProfilingOperation`.

Overrides:
  `createProfilingOperationAdapter` in class `ModelAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ProfilingOperation`

#### createProfilingModelAdapter

    public org.eclipse.emf.common.notify.Adapter createProfilingModelAdapter()

This creates an adapter for a `ProfilingModel`.

Overrides:
  `createProfilingModelAdapter` in class `ModelAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ProfilingModel`

#### createATLOperationAdapter

    public org.eclipse.emf.common.notify.Adapter createATLOperationAdapter()

This creates an adapter for a `ATLOperation`.

Overrides:
  `createATLOperationAdapter` in class `ModelAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ATLOperation`

#### createATLInstructionAdapter

    public org.eclipse.emf.common.notify.Adapter createATLInstructionAdapter()

This creates an adapter for a `ATLInstruction`.

Overrides:
  `createATLInstructionAdapter` in class `ModelAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ATLInstruction`

#### createContextAdapter

    public org.eclipse.emf.common.notify.Adapter createContextAdapter()

This creates an adapter for a `Context`.

Overrides:
  `createContextAdapter` in class `ModelAdapterFactory`
Returns:
  the new adapter.
See Also:
  `Context`

#### createExecutionErrorAdapter

    public org.eclipse.emf.common.notify.Adapter createExecutionErrorAdapter()

This creates an adapter for a `ExecutionError`.

Overrides:
  `createExecutionErrorAdapter` in class `ModelAdapterFactory`
Returns:
  the new adapter.
See Also:
  `ExecutionError`

#### getRootAdapterFactory

    public org.eclipse.emf.edit.provider.ComposeableAdapterFactory getRootAdapterFactory()

This returns the root adapter factory that contains this factory.

Specified by:
  `getRootAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

#### setParentAdapterFactory

    public void setParentAdapterFactory​(org.eclipse.emf.edit.provider.ComposedAdapterFactory parentAdapterFactory)

This sets the composed adapter factory that contains this factory.

Specified by:
  `setParentAdapterFactory` in interface `org.eclipse.emf.edit.provider.ComposeableAdapterFactory`

#### isFactoryForType

    public boolean isFactoryForType​(java.lang.Object type)

Specified by:
  `isFactoryForType` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `isFactoryForType` in class `ModelAdapterFactory`
Returns:
  whether this factory is applicable for the type of the object.

#### adapt

    public org.eclipse.emf.common.notify.Adapter adapt​(org.eclipse.emf.common.notify.Notifier notifier,
                                                       java.lang.Object type)

This implementation substitutes the factory itself as the key for the adapter.

Specified by:
  `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

#### adapt

    public java.lang.Object adapt​(java.lang.Object object,
                                  java.lang.Object type)

Specified by:
  `adapt` in interface `org.eclipse.emf.common.notify.AdapterFactory`
Overrides:
  `adapt` in class `org.eclipse.emf.common.notify.impl.AdapterFactoryImpl`

#### addListener

    public void addListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

This adds a listener.

Specified by:
  `addListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### removeListener

    public void removeListener​(org.eclipse.emf.edit.provider.INotifyChangedListener notifyChangedListener)

This removes a listener.

Specified by:
  `removeListener` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### fireNotifyChanged

    public void fireNotifyChanged​(org.eclipse.emf.common.notify.Notification notification)

This delegates to `changeNotifier` and to `parentAdapterFactory`.

Specified by:
  `fireNotifyChanged` in interface `org.eclipse.emf.edit.provider.IChangeNotifier`

#### dispose

    public void dispose()

This disposes all of the item providers created by this factory.

Specified by:
  `dispose` in interface `org.eclipse.emf.edit.provider.IDisposable`